Skip to main content
POST
/
v1
/
offers
/
{id}
/
resend
Resend an offer
curl --request POST \
  --url https://api.plane.com/v1/offers/{id}/resend \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.plane.com/v1/offers/{id}/resend"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.plane.com/v1/offers/{id}/resend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Resend an already sent offer to the recipient email on the offer. This records another delivery attempt and updates the offer’s delivery summary. Each new resend request intentionally creates another delivery attempt. When retrying the same resend request after a timeout, reuse the same Idempotency-Key so Plane returns the saved result instead of creating another delivery. Use Send an offer for retry-safe initial delivery.

Parameters

id
string
required
ID of the offer.

Returns

Returns the updated Offer object.